robotpkg/wip/ros-py-urdf-parser bulk build results

Log for ros-py37-urdf-parser-0.4.0r1 on Fedora-31-x86_64: bulk.log (Back)

=> Checking for clear installation ===> Installing bootstrap dependencies for ros-py37-urdf-parser-0.4.0r1 => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-31-x86_64/All/digest-20080510.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-31-x86_64/All/tnftp-20151004~ssl.tgz ===> Checking bootstrap dependencies for ros-py37-urdf-parser-0.4.0r1 => Required robotpkg package digest>=20080510: digest-20080510 found => Required robotpkg package tnftp>=20130505~ssl: tnftp-20151004~ssl found => Required system package gzip: gzip-1.10 found => Required system package pax and tar archivers: pax found => Required system package pkg_install>=20110805.9: pkg_install-20110805.9 found ===> Done bootstrap-depends for ros-py37-urdf-parser-0.4.0r1 ===> Installing full dependencies for ros-py37-urdf-parser-0.4.0r1 => Dependency digest-20080510 already installed => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-31-x86_64/All/py37-catkin-pkg-0.4.8.tgz => Installing /opt/robotpkg/var/lib/robotpkg/packages/bsd/Fedora-31-x86_64/All/py37-ros-catkin-0.7.16r1.tgz To use ros, the following environment variables must contain those values: ROS_MASTER_URI http://localhost:11311 ROS_PACKAGE_PATH /opt/openrobots/share PYTHONPATH /opt/openrobots/lib/python3.7/site-packages PATH /opt/openrobots/bin As an alternative to the above configuration, commands can be executed by using the `env.sh' wrapper. For instance, roscore can be started like so: /opt/openrobots/etc/ros/env.sh roscore In Bourne shell scripts, the following file can be sourced instead: /opt/openrobots/etc/ros/setup.sh => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/All/ros-object-recognition-msgs-0.4.1r1.tgz => Installing /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/All/ros-octomap-msgs-0.3.3r1.tgz => Dependency tnftp-20151004~ssl already installed ===> Checking build options for ros-py37-urdf-parser-0.4.0r1 => Building with no option. ===> Checking alternatives for ros-py37-urdf-parser-0.4.0r1 => Use the GNU C++ compiler: c++-compiler provided by g++>=3 => Use the GNU C compiler: c-compiler provided by gcc>=3 => Use python-3.7: python>=2.5<3.9 provided by python37>=3.7<3.8 => Use ros melodic: ros==melodic provided by ros-melodic ===> Checking dependencies for ros-py37-urdf-parser-0.4.0r1 => Required system package cmake>=2.8.3: cmake-3.17.4 found => Required system package g++>=3: g++-9 found => Required system package gcc>=3: gcc-9 found => Required system package googletest: googletest found => Required system package libstdc++: libstdc++ found => Required system package pkg-config>=0.22: pkg-config-1.6.3 found => Required system package py37-empy>=3: py37-empy-3.3.4 found => Required system package py37-nose>=0.10: py37-nose-1.3.7 found => Required system package py37-pyparsing>=1: py37-pyparsing-2.4.0 found => Required system package py37-yaml>=3: py37-yaml-5.3.1 found => Required system package python37>=3.7<3.8: python37-3.7.9 found => Required robotpkg package py37-catkin-pkg>=0.2: py37-catkin-pkg-0.4.8 found => Required robotpkg package py37-ros-catkin>=0.7<0.8: py37-ros-catkin-0.7.16r1 found => Required robotpkg package ros-object-recognition-msgs>=0.4.1: ros-object-recognition-msgs-0.4.1r1 found => Required robotpkg package ros-octomap-msgs>=0.3.3: ros-octomap-msgs-0.3.3r1 found ===> Done depends for ros-py37-urdf-parser-0.4.0r1 ===> Extracting for ros-py37-urdf-parser-0.4.0r1 => SHA1 checksums OK => RMD160 checksums OK ===> Configuring for ros-py37-urdf-parser-0.4.0r1 CMake Warning (dev) at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:272 (message): The package name passed to `find_package_handle_standard_args` (PY_em) does not match the name of the calling package (catkin). This can lead to problems in calling code that expects `find_package` result variables (e.g., `_FOUND`) to follow a certain pattern. Call Stack (most recent call first): /opt/openrobots/share/catkin/cmake/empy.cmake:20 (find_package_handle_standard_args) /opt/openrobots/share/catkin/cmake/empy.cmake:27 (find_python_module) /opt/openrobots/share/catkin/cmake/all.cmake:163 (include) /opt/openrobots/share/catkin/cmake/catkinConfig.cmake:20 (include) CMakeLists.txt:4 (find_package) This warning is for project developers. Use -Wno-dev to suppress it. ===> Building for ros-py37-urdf-parser-0.4.0r1 ===> Installing for ros-py37-urdf-parser-0.4.0r1 => Running PRE-INSTALL script actions warning: build_py: byte-compiling is disabled, skipping. warning: install_lib: byte-compiling is disabled, skipping. => Running POST-INSTALL script actions => Compiling python files Sorry: TabError: inconsistent use of tabs and spaces in indentation (core.py, line 103) Sorry: TabError: inconsistent use of tabs and spaces in indentation (core.py, line 103) => Adding run-time search paths to pkg-config files robotpkg_create: can't stat `/opt/openrobots/lib/python3.7/site-packages/urdf_parser_py/xml_reflection/__pycache__/core.cpython-37.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.7/site-packages/urdf_parser_py/xml_reflection/__pycache__/core.cpython-37.opt-1.pyc' => Registering installation for ros-py37-urdf-parser-0.4.0r1 robotpkg_admin: ros-py37-urdf-parser-0.4.0r1: File `/opt/openrobots/lib/python3.7/site-packages/urdf_parser_py/xml_reflection/__pycache__/core.cpython-37.pyc' is in +CONTENTS but not on filesystem! robotpkg_admin: ros-py37-urdf-parser-0.4.0r1: File `/opt/openrobots/lib/python3.7/site-packages/urdf_parser_py/xml_reflection/__pycache__/core.cpython-37.opt-1.pyc' is in +CONTENTS but not on filesystem! Added py37-ros-catkin-0.7.16r1 to the requirements of ros-py37-urdf-parser-0.4.0r1 Added ros-object-recognition-msgs-0.4.1r1 to the requirements of ros-py37-urdf-parser-0.4.0r1 Added ros-octomap-msgs-0.3.3r1 to the requirements of ros-py37-urdf-parser-0.4.0r1 ===> Done install for ros-py37-urdf-parser-0.4.0r1 ===> Building binary package for ros-py37-urdf-parser-0.4.0r1 robotpkg_create: can't stat `/opt/openrobots/lib/python3.7/site-packages/urdf_parser_py/xml_reflection/__pycache__/core.cpython-37.pyc' robotpkg_create: can't stat `/opt/openrobots/lib/python3.7/site-packages/urdf_parser_py/xml_reflection/__pycache__/core.cpython-37.opt-1.pyc' robotpkg_create: lstat failed for file lib/python3.7/site-packages/urdf_parser_py/xml_reflection/__pycache__/core.cpython-37.pyc: No such file or directory Creating package /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/All/ros-py37-urdf-parser-0.4.0r1 make[3]: *** [/local/robotpkg/var/lib/robotpkg/mk/pkg/package.mk:74: pkg-tarup] Error 2 => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/All => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/pub => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/jrl => Unlinking package in /opt/robotpkg/var/lib/robotpkg/wip/packages/bsd/Fedora-31-x86_64/pal make[2]: *** [/local/robotpkg/var/lib/robotpkg/mk/package/package.mk:147: package-failed] Error 2 => Marking ros-py37-urdf-parser-0.4.0r1 as broken ERROR: make: *** [package] Error 2 ===> Deinstalling for ros-py37-urdf-parser Removing dependency py37-catkin-pkg-0.4.8 Removing dependency py37-ros-catkin-0.7.16r1 Removing dependency ros-object-recognition-msgs-0.4.1r1 Removing dependency ros-octomap-msgs-0.3.3r1 Removing dependency robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.7/site-packages/urdf_parser_py/xml_reflection/__pycache__/core.cpython-37.pyc robotpkg_delete: Couldn't remove /opt/openrobots/lib/python3.7/site-packages/urdf_parser_py/xml_reflection/__pycache__/core.cpython-37.opt-1.pyc Removed ros-py37-urdf-parser-0.4.0r1 Removed digest-20080510 Removed tnftp-20151004~ssl